# Uses of Interface
org.jfree.chart3d.data.PieDataset3D

Packages that use PieDataset3D
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.data
Core data structures used as the building blocks for datasets in Orson Charts.
org.jfree.chart3d.label
Classes related to chart labels.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.

## Uses of PieDataset3D in org.jfree.chart3d

Methods in org.jfree.chart3d with parameters of type PieDataset3D
Modifier and Type
Method
Description
`static Chart3D`
Chart3DFactory.`createPieChart(String title, String subtitle, PieDataset3D<? extends Comparable> dataset)`
Creates and returns a pie chart based on the supplied dataset.

## Uses of PieDataset3D in org.jfree.chart3d.data

Classes in org.jfree.chart3d.data that implement PieDataset3D
Modifier and Type
Class
Description
`final class`
`StandardPieDataset3D<K extends Comparable<K>>`
A dataset that can be used with a `PiePlot3D`.

## Uses of PieDataset3D in org.jfree.chart3d.label

Methods in org.jfree.chart3d.label with parameters of type PieDataset3D
Modifier and Type
Method
Description
`String`
PieLabelGenerator.`generateLabel(PieDataset3D dataset, Comparable<?> key)`
Returns a label for one data item in a pie chart.
`String`
StandardPieLabelGenerator.`generateLabel(PieDataset3D dataset, Comparable<?> key)`
Generates the label for one section in a pie chart.

## Uses of PieDataset3D in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return PieDataset3D
Modifier and Type
Method
Description
`PieDataset3D<? extends Comparable>`
PiePlot3D.`getDataset()`
Returns the dataset.
Methods in org.jfree.chart3d.plot with parameters of type PieDataset3D
Modifier and Type
Method
Description
`void`
PiePlot3D.`setDataset(PieDataset3D<? extends Comparable> dataset)`
Sets the dataset and notifies registered listeners that the dataset has been updated.
Constructors in org.jfree.chart3d.plot with parameters of type PieDataset3D
Modifier
Constructor
Description
``
`PiePlot3D(PieDataset3D<? extends Comparable> dataset)`
Creates a new pie plot in 3D.